%global pkg_name        IO-AIO
%global pkg_version     2.51
%global rpm_pkg_version 2.51
%global rpm_pkg_release 1.n0i.12

Summary:       IO::Asynchronous Input/Output
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module implements asynchronous I/O using whatever means your operating
system supports.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{__chmod} +x autoconf/configure
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COPYING README


%changelog
* Sun Oct 07 2007 Marius Feraru <altblue@n0i.net> - 2.51-1.n0i.12
- version 2.51

* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 2.50-1.n0i.11.2.5
- version 2.5

* Tue Sep 25 2007 Marius Feraru <altblue@n0i.net> - 2.41-1.n0i.10
- version 2.41

* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 2.40-1.n0i.9.2.4
- version 2.4

* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 2.33-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 2.33

* Wed Jun 28 2006 Marius Feraru <altblue@n0i.net> - 1.80-1.n0i.7.1.8
- version 1.8

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.73-1.n0i.6
- version 1.73

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 1.72-1.n0i.5
- version 1.72

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 1.71-1.n0i.4
- version 1.71

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 1.61-1.n0i.3
- version 1.61

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 1.6-1.n0i.2
- version 1.6

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 1.5-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.09
- rebuild on perl 5.8.7
